package com.yunzhi.training.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 问题答案
 * </p>
 *
 * @author yansen
 * @since 2022-02-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaAnswer对象", description="问题答案")
public class TaAnswer implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "答案ID")
    @TableId(value = "answer_id", type = IdType.INPUT)
    private String answerId;

    @ApiModelProperty(value = "选项")
    private String optCode;

    @ApiModelProperty(value = "内容")
    private String content;

    @ApiModelProperty(value = "得分")
    private Integer score;

    @ApiModelProperty(value = "问题ID")
    private String questionId;

    @ApiModelProperty(value = "状态")
    private Integer state;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;


}
