package com.yunzhi.training.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 附件表
 * </p>
 *
 * @author yansen
 * @since 2022-02-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaAttachment对象", description="附件表")
public class TaAttachment implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "附件ID")
    @TableId(value = "attch_id", type = IdType.INPUT)
    private String attchId;

    @ApiModelProperty(value = "附件类型")
    private String attchType;

    @ApiModelProperty(value = "附件地址")
    private String url;

    @ApiModelProperty(value = "所属包组")
    private String packId;

    @ApiModelProperty(value = "包组名称")
    private String packName;

    @ApiModelProperty(value = "状态")
    private Integer state;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;


}
