package com.yunzhi.training.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.lang.reflect.Field;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;

@ApiModel(description = "Token参数")
@Data
@Accessors(chain = true)
public class TokenParam {
    @ApiModelProperty("用户ID")
    String userId;

    @ApiModelProperty("机构ID")
    String orgId;

    @ApiModelProperty("原始值")
    String raw;

    @ApiModelProperty("有效期")
    Date exp;

    public static TokenParam fromMap(Map<String, Object> mapParams) {
        TokenParam tokenParam = new TokenParam();

        // 没有使用反射, 懒
        Object u = mapParams.get("userId");
        Object o = mapParams.get("orgId");
        Object r = mapParams.get("raw");
        Object e = mapParams.get("exp");
        tokenParam.setUserId(null == u ? null : u.toString());
        tokenParam.setOrgId(null == o ? null : o.toString());
        tokenParam.setRaw(null == r ? null : r.toString());
        tokenParam.setExp(null == r ? null : (Date) r);

        return tokenParam;
    }

    public Map<String, Object> toMap() throws IllegalAccessException {
        Map<String, Object> rtn = new HashMap<>();

        Class<?> cls = getClass();
        for (Field field: cls.getDeclaredFields()) {
            field.setAccessible(true);
            rtn.put(field.getName(), field.get(this));
        }

        return rtn;
    }
}
